info.bioinfweb.jphyloio.events

## Class CommentEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.ContinuedEvent
    - - info.bioinfweb.jphyloio.events.CommentEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class CommentEvent
      extends ContinuedEvent

  Event that indicates that a comment has been parsed at the current position or within the data the last non-comment event has been parsed from.

  Nested comments as they are possible e.g. in the MEGA format do not produce separate events.

  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentEvent(java.lang.String content)` Creates a new instance of this class that is not continued in the next event.
    `CommentEvent(java.lang.String content, boolean continuedInNextEvent)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()` Returns the content of the comment.

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ContinuedEvent

      `isContinuedInNextEvent`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentEvent

          public CommentEvent(java.lang.String content,
                              boolean continuedInNextEvent)

      Creates a new instance of this class.
      Parameters:
        `content` - the content of the represented comment
        `continuedInNextEvent` - Specify `true` here if this event does not contain the final part of this comment and more events are ahead or `false otherwise`.

    - #### CommentEvent

          public CommentEvent(java.lang.String content)

      Creates a new instance of this class that is not continued in the next event.
      Parameters:
        `content` - the content of the represented comment

  - ### Method Detail

    - #### getContent

          public java.lang.String getContent()

      Returns the content of the comment.
      Returns:
        the content of the comment